---
schema_version: "1"
id: 05019016707812c0d0c7798e5d20b374dd9fcb811fcdca6e1b05bee0cd24316c
title: atf
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/analytics/atf/references/generated-api-specs/atf-ref.md
canonical_url: https://developer.salesforce.com/docs/analytics/app-template-framework/references/atf-ref
source_site: developer.salesforce.com
content_type: documentation
content_hash: 3386d7c4c5ed671c11ec78c4fa83bcc537c3edbc77f611e75d93b2e06bfcd18f
products:
  - App Template Framework
  - analytics
---
atf

# atf

Provides a list of available resources for the `/app-framework` Connect REST API.

Create and manage templates, apps, assets, chains, tasks, variables, and rules.

**Version:** 67.0

## Servers

*   `https://{MyDomainName}.my.salesforce.com/services/data/v67.0`

## Tags

### Apps

Use `/app-framework/apps` operations to:

*   Get a list of templated apps, filtering by asset type, template asset name, template source ID, or template subtype.
*   Get, update, or delete an app.
*   Patch the label or description for a specific templated app.

### App Activities

Use `/app-framework/apps/{appIdOrApiName}/activities` to:

*   Get a collection of activities for a templated app.
*   Get the details for a specific activity.
*   Get the most recent app activity.

### App Assets

Use `/app-framework/apps/{appIdOrApiName}/assets/` to:

*   Get, update, or delete a specific asset for a templated app.
*   Get a list of assets for a templated app, filtering by asset type or template asset name.
*   Add an asset to a specific templated app.

### App Schedules

Use `/app-framework/apps/{appIdOrApiName}/schedules` to:

*   Get a list of schedule records for a specific app.
*   Update or delete a schedule record for a specific app.

### Templates

Use `/app-framework/templates` to:

*   Get a list of templates, filtering by template type, sub-type, or by a tag key and values.
*   Get, update, or delete a specific template.
*   Create a template.

### Template Chains

Use `/app-framework/templates/{templateIdOrApiName}/chains` to:

*   Get or delete a specific chain type for a specific template.
*   Create a chain for a specific template.
*   Get or update a collection of chains for a specific template.

### Template Layout

Use `/app-framework/templates/{templateIdOrApiName}/layout` to:

*   Get the layout for a specific template.
*   Update the layout for a specific template.

### Template Rules

Use `/app-framework/templates/{templateIdOrApiName}/rules/{ruleName}` to:

*   Get a list of rules definitions for a specific template.
*   Get, update, or delete a rule for a specific template.

### Template Tags

Use `/app-framework/templates/{templateIdOrApiName}/tags` to:

*   Get a list of tags for a specific template.
*   Update a tag for a specific template.

### Template Variables

Use `/app-framework/templates/{templateIdOrApiName}/variables` to:

*   Get a list of variables for a specific template.
*   Update a specific variable for the specified template.

## Operations

### GET getAppFrameworkAppActivityCollection

`GET /app-framework/apps/{appIdOrApiName}/activities`

Operation ID: `getAppFrameworkAppActivityCollection`. Tags: App Activities.

Provides a list of activity records for the specified app.

Returns a list of app activity records.

#### Parameters

*   `appIdOrApiName` (path, string, required)

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `AppActivityCollectionRepresentation`.
    

### GET getAppFrameworkAppAsset

`GET /app-framework/apps/{appIdOrApiName}/assets/{appAssetId}`

Operation ID: `getAppFrameworkAppAsset`. Tags: App Assets.

Returns, deletes, or updates the specified asset for the specified app.

Returns a specific asset for the specified app.

#### Parameters

*   `appAssetId` (path, string, required)
*   `appIdOrApiName` (path, string, required)

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `AssetRepresentation`.
    

### DELETE deleteAppFrameworkAppAsset

`DELETE /app-framework/apps/{appIdOrApiName}/assets/{appAssetId}`

Operation ID: `deleteAppFrameworkAppAsset`. Tags: App Assets.

Returns, deletes, or updates the specified asset for the specified app.

Deletes a specific asset from the specified app.

#### Parameters

*   `appAssetId` (path, string, required)
*   `appIdOrApiName` (path, string, required)

#### Responses

*   **200** Success

### PATCH patchAppFrameworkAppAsset

`PATCH /app-framework/apps/{appIdOrApiName}/assets/{appAssetId}`

Operation ID: `patchAppFrameworkAppAsset`. Tags: App Assets.

Returns, deletes, or updates the specified asset for the specified app.

Updates a specific asset for the specified app.

#### Parameters

*   `appAssetId` (path, string, required)
*   `appIdOrApiName` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `AssetInputRepresentation`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `AssetRepresentation`.
    

### GET getAppFrameworkTemplateTaskCollection

`GET /app-framework/tasks/{taskType}`

Operation ID: `getAppFrameworkTemplateTaskCollection`. Tags: Tasks.

Returns a list of available tasks, filtered by the task type, for the app framework. by variant type

Returns a list of available tasks, filtered by the task type, for the app framework. Valid task types are App, Template, and Setup.

#### Parameters

*   `taskType` (path, TemplateTaskTypeEnum, required)

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `TemplateTaskCollectionRepresentation`.
    

### GET getAppFrameworkTemplateVariables

`GET /app-framework/templates/{templateIdOrApiName}/variables`

Operation ID: `getAppFrameworkTemplateVariables`. Tags: Template Variables.

Returns a list of variables or updates a specified variable for the specified template.

Returns a list of variables for the specified template.

#### Parameters

*   `templateIdOrApiName` (path, string, required)

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `VariablesRepresentation`.
    

### PUT putAppFrameworkTemplateVariables

`PUT /app-framework/templates/{templateIdOrApiName}/variables`

Operation ID: `putAppFrameworkTemplateVariables`. Tags: Template Variables.

Returns a list of variables or updates a specified variable for the specified template.

Updates a specified variable for the specified template.

#### Parameters

*   `templateIdOrApiName` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `VariablesInputRepresentation`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `VariablesRepresentation`.
    

### GET getAppFrameworkAppCollection

`GET /app-framework/apps`

Operation ID: `getAppFrameworkAppCollection`. Tags: Apps.

Returns a list of available apps or creates a new app.

Returns a list of apps. To filter the list, specify the template name, type, subtype, asset type, or asset source name.

#### Parameters

*   `assetType` (query, string)
*   `templateAssetName` (query, string)
*   `templateSourceId` (query, string)
*   `templateSubtype` (query, TemplateSubtypeEnum)
*   `type` (query, TemplateTypeEnum)

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `AppCollectionRepresentation`.
    

### POST postAppFrameworkAppCollection

`POST /app-framework/apps`

Operation ID: `postAppFrameworkAppCollection`. Tags: Apps.

Returns a list of available apps or creates a new app.

Creates an app from a specified template or from a list of specified asset ids.

#### Request body

Media type: `application/json`. Schema: `BaseAppInputRepresentation`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `AppResultRepresentation`.
    

### GET getAppFrameworkTemplateTagCollection

`GET /app-framework/templates/{templateIdOrApiName}/tags`

Operation ID: `getAppFrameworkTemplateTagCollection`. Tags: Template Tags.

Returns the list of tags or updates a tag for the specified template.

Returns a list of tags for the specified template.

#### Parameters

*   `templateIdOrApiName` (path, string, required)

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `TemplateTagCollectionRepresentation`.
    

### PUT putAppFrameworkTemplateTagCollection

`PUT /app-framework/templates/{templateIdOrApiName}/tags`

Operation ID: `putAppFrameworkTemplateTagCollection`. Tags: Template Tags.

Returns the list of tags or updates a tag for the specified template.

Updates a specified tag for the specified template.

#### Parameters

*   `templateIdOrApiName` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `TemplateTagCollectionInputRepresentation`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `TemplateTagCollectionRepresentation`.
    

### GET getAppFrameworkInstalledAssetCollection

`GET /app-framework/installed-assets`

Operation ID: `getAppFrameworkInstalledAssetCollection`. Tags: Installed Assets.

Returns a list of assets installed using templates.

Returns a list of assets installed using templates. To filter the list, specify an asset ID, name, or type.

#### Parameters

*   `assetIdOrName` (query, string)
*   `assetType` (query, string)

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `InstalledAssetCollectionRepresentation`.
    

### GET getAppFrameworkInstalledAssetByTemplateCollection

`GET /app-framework/installed-assets/{templateIdOrApiName}`

Operation ID: `getAppFrameworkInstalledAssetByTemplateCollection`. Tags: Installed Assets.

Returns a list of assets created from the specified template.

Returns a list of assets created from the specified template. To filter the list, specify an asset type or indicate to list assets by latest app only.

#### Parameters

*   `templateIdOrApiName` (path, string, required)
*   `assetType` (query, string)
*   `latestApp` (query, boolean)

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `AssetByTemplateCollectionRepresentation`.
    

### GET getAppFrameworkTemplate

`GET /app-framework/templates/{templateIdOrApiName}`

Operation ID: `getAppFrameworkTemplate`. Tags: Templates.

Returns, deletes, or updates the specified template.

Returns the specified template.

#### Parameters

*   `templateIdOrApiName` (path, string, required)

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `TemplateRepresentation`.
    

### DELETE deleteAppFrameworkTemplate

`DELETE /app-framework/templates/{templateIdOrApiName}`

Operation ID: `deleteAppFrameworkTemplate`. Tags: Templates.

Returns, deletes, or updates the specified template.

Deletes the specified template.

#### Parameters

*   `templateIdOrApiName` (path, string, required)

#### Responses

*   **200** Success

### PATCH patchAppFrameworkTemplate

`PATCH /app-framework/templates/{templateIdOrApiName}`

Operation ID: `patchAppFrameworkTemplate`. Tags: Templates.

Returns, deletes, or updates the specified template.

Updates the specified template.

#### Parameters

*   `templateIdOrApiName` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `TemplateUpdateRepresentation`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `TemplateRepresentation`.
    

### GET getAppFrameworkTemplateChainType

`GET /app-framework/templates/{templateIdOrApiName}/chains/{type}`

Operation ID: `getAppFrameworkTemplateChainType`. Tags: Template Chains.

Returns a specific chain type for the specified template.

Returns a specific chain type for the specified template. Valid chain types include `Create`, `Update`, `Delete`, `RefreshData`, and `AutomatedSetup`.

#### Parameters

*   `templateIdOrApiName` (path, string, required)
*   `type` (path, ChainTypeEnum, required)

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `ChainDetailsRepresentation`.
    

### GET getAppFrameworkTemplateConfiguration

`GET /app-framework/templates/{templateIdOrApiName}/configuration`

Operation ID: `getAppFrameworkTemplateConfiguration`. Tags: Template Configuration.

Returns the configuration details for the specified template.

Returns the configuration details for the specified template.

#### Parameters

*   `templateIdOrApiName` (path, string, required)

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `TemplateConfigurationRepresentation`.
    

### GET getAppFrameworkTemplateChainCollection

`GET /app-framework/templates/{templateIdOrApiName}/chains`

Operation ID: `getAppFrameworkTemplateChainCollection`. Tags: Template Chains.

Returns a list of chains, creates, or updates a chain for the specified template.

Returns a list of chains for the specified template.

#### Parameters

*   `templateIdOrApiName` (path, string, required)
*   `name` (query, string)
*   `type` (query, ChainTypeEnum)

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `ChainDefinitionCollectionRepresentation`.
    

### PUT putAppFrameworkTemplateChainCollection

`PUT /app-framework/templates/{templateIdOrApiName}/chains`

Operation ID: `putAppFrameworkTemplateChainCollection`. Tags: Template Chains.

Returns a list of chains, creates, or updates a chain for the specified template.

Create or update a chain for the specified template.

#### Parameters

*   `templateIdOrApiName` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `ChainDetailsInputRepresentation`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `ChainDetailsRepresentation`.
    

### POST postAppFrameworkAppUpdateBasicApp

`POST /app-framework/apps/{appIdOrApiName}/updateBasicApp`

Operation ID: `postAppFrameworkAppUpdateBasicApp`. Tags: Update Basic App.

Updates the specified app with new or changed assets if it is a source app.

Updates the specified app using a list of resources or a template.

#### Parameters

*   `appIdOrApiName` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `BasicAppUpdateRepresentation`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `AppResultRepresentation`.
    

### GET getAppFrameworkTemplateChain

`GET /app-framework/templates/{templateIdOrApiName}/chains/{type}/{name}`

Operation ID: `getAppFrameworkTemplateChain`. Tags: Template Chains.

Returns or deletes a specific chain type by name for the specified template.

Returns a specific chain type by name for the specified template.

#### Parameters

*   `name` (path, string, required)
*   `templateIdOrApiName` (path, string, required)
*   `type` (path, ChainTypeEnum, required)

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `ChainDetailsRepresentation`.
    

### DELETE deleteAppFrameworkTemplateChain

`DELETE /app-framework/templates/{templateIdOrApiName}/chains/{type}/{name}`

Operation ID: `deleteAppFrameworkTemplateChain`. Tags: Template Chains.

Returns or deletes a specific chain type by name for the specified template.

Deletes a specific chain type by name from the specified template.

#### Parameters

*   `name` (path, string, required)
*   `templateIdOrApiName` (path, string, required)
*   `type` (path, ChainTypeEnum, required)

#### Responses

*   **200** Success

### POST postAppFrameworkAppDecouple

`POST /app-framework/apps/{appIdOrApiName}/decouple`

Operation ID: `postAppFrameworkAppDecouple`. Tags: App Decouple.

Removes template references from the source app.

Removes template references from the source app.

#### Parameters

*   `appIdOrApiName` (path, string, required)

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `AppResultRepresentation`.
    

### POST postAppFrameworkAppRefresh

`POST /app-framework/apps/{appIdOrApiName}/refresh`

Operation ID: `postAppFrameworkAppRefresh`. Tags: App Refresh.

Refreshes the data for the specified app.

Runs the tasks that refresh the data for the specified app.

#### Parameters

*   `appIdOrApiName` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `AppRefreshInputRepresentation`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `AppResultRepresentation`.
    

### GET getAppFrameworkTemplateCollection

`GET /app-framework/templates`

Operation ID: `getAppFrameworkTemplateCollection`. Tags: Templates.

Returns a list of templates or creates a new template.

Returns a list of templates. To filter the list, specify the template type, sub-type, or by a tag key and values.

#### Parameters

*   `tagKey` (query, string)
*   `tagValues` (query, array of string)
*   `templateSubtype` (query, TemplateSubtypeEnum)
*   `type` (query, TemplateTypeEnum)

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `TemplateCollectionRepresentation`.
    

### POST postAppFrameworkTemplateCollection

`POST /app-framework/templates`

Operation ID: `postAppFrameworkTemplateCollection`. Tags: Templates.

Returns a list of templates or creates a new template.

Creates a template.

#### Request body

Media type: `application/json`. Schema: `TemplateInputRepresentation`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `TemplateRepresentation`.
    

### GET getAppFrameworkAppActivityItem

`GET /app-framework/apps/{appIdOrApiName}/activities/{id}`

Operation ID: `getAppFrameworkAppActivityItem`. Tags: App Activities.

App Template Framework `activities` operations enable you to:

*   Get a collection of activities for a templated app.
*   Get the details for a specific activity.
*   Get the most recent app activity.

Returns the specified activity for the specified app.

#### Parameters

*   `appIdOrApiName` (path, string, required)
*   `id` (path, string, required)

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `AppActivityItemRepresentation`.
    

### GET getAppFrameworkTemplateRuleCollection

`GET /app-framework/templates/{templateIdOrApiName}/rules`

Operation ID: `getAppFrameworkTemplateRuleCollection`. Tags: Template Rules.

Returns a list of rules definitions for the specified template.

Returns a shallow list of rules definitions for the specified template.

#### Parameters

*   `templateIdOrApiName` (path, string, required)

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `RuleCollectionRepresentation`.
    

### GET getAppFrameworkAppAssetCollection

`GET /app-framework/apps/{appIdOrApiName}/assets`

Operation ID: `getAppFrameworkAppAssetCollection`. Tags: App Assets.

Provides a list of assets included in a specified app or adds an asset to the app.

Returns a list of assets included in the specified app. To filter the list, specify the asset type or the template asset name.

#### Parameters

*   `appIdOrApiName` (path, string, required)
*   `assetType` (query, string)
*   `templateAssetName` (query, string)

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `AssetCollectionRepresentation`.
    

### POST postAppFrameworkAppAssetCollection

`POST /app-framework/apps/{appIdOrApiName}/assets`

Operation ID: `postAppFrameworkAppAssetCollection`. Tags: App Assets.

Provides a list of assets included in a specified app or adds an asset to the app.

Adds an asset to include in the specified app.

#### Parameters

*   `appIdOrApiName` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `AssetInputRepresentation`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `AssetRepresentation`.
    

### POST postAppFrameworkTemplateReadiness

`POST /app-framework/templates/{templateIdOrApiName}/readiness`

Operation ID: `postAppFrameworkTemplateReadiness`. Tags: Template Readiness.

Runs the org readiness checks to validate the specified template. This resource is idempotent.

Runs the org readiness checks to validate the specified template.

#### Parameters

*   `templateIdOrApiName` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `TemplateReadinessInputRepresentation`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `TemplateReadinessRepresentation`.
    

### GET getAppFrameworkAppScheduleCollection

`GET /app-framework/apps/{appIdOrApiName}/schedules`

Operation ID: `getAppFrameworkAppScheduleCollection`. Tags: App Schedules.

Returns, deletes, and updates schedules for the specified app.

Returns a list of schedule records for the specified app. To filter the list, specify a chain name or type.

#### Parameters

*   `appIdOrApiName` (path, string, required)
*   `chainName` (query, string)
*   `chainType` (query, ChainTypeEnum)

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `AppScheduleCollectionRepresentation`.
    

### PUT putAppFrameworkAppScheduleCollection

`PUT /app-framework/apps/{appIdOrApiName}/schedules`

Operation ID: `putAppFrameworkAppScheduleCollection`. Tags: App Schedules.

Returns, deletes, and updates schedules for the specified app.

Updates the schedules for the specified app.

#### Parameters

*   `appIdOrApiName` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `AppScheduleCollectionInputRepresentation`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `AppScheduleCollectionRepresentation`.
    

### DELETE deleteAppFrameworkAppScheduleCollection

`DELETE /app-framework/apps/{appIdOrApiName}/schedules`

Operation ID: `deleteAppFrameworkAppScheduleCollection`. Tags: App Schedules.

Returns, deletes, and updates schedules for the specified app.

Deletes the schedules for the specified app. To delete specific schedules, specify the chain name or type.

#### Parameters

*   `appIdOrApiName` (path, string, required)
*   `chainName` (query, string)
*   `chainType` (query, ChainTypeEnum)

#### Responses

*   **200** Success

### GET getAppFrameworkApp

`GET /app-framework/apps/{appIdOrApiName}`

Operation ID: `getAppFrameworkApp`. Tags: Apps.

Returns, deletes, updates, or patches the specified app.

Returns the specified app.

#### Parameters

*   `appIdOrApiName` (path, string, required)

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `AppRepresentation`.
    

### PUT putAppFrameworkApp

`PUT /app-framework/apps/{appIdOrApiName}`

Operation ID: `putAppFrameworkApp`. Tags: Apps.

Returns, deletes, updates, or patches the specified app.

Updates the specified app from a template.

#### Parameters

*   `appIdOrApiName` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `AppUpdateRepresentation`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `AppResultRepresentation`.
    

### DELETE deleteAppFrameworkApp

`DELETE /app-framework/apps/{appIdOrApiName}`

Operation ID: `deleteAppFrameworkApp`. Tags: Apps.

Returns, deletes, updates, or patches the specified app.

Deletes the specified app.

#### Parameters

*   `appIdOrApiName` (path, string, required)

#### Responses

*   **200** Success

### PATCH patchAppFrameworkApp

`PATCH /app-framework/apps/{appIdOrApiName}`

Operation ID: `patchAppFrameworkApp`. Tags: Apps.

Returns, deletes, updates, or patches the specified app.

Patches the specified app from a template

#### Parameters

*   `appIdOrApiName` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `BasicAppPatchInputRepresentation`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `AppRepresentation`.
    

### GET getAppFrameworkTemplateAssetCollection

`GET /app-framework/templates/{templateIdOrApiName}/assets`

Operation ID: `getAppFrameworkTemplateAssetCollection`. Tags: Template Assets.

Returns a list of assets for the specified template.

Returns a list of assets for the specified template.

#### Parameters

*   `templateIdOrApiName` (path, string, required)

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `TemplatedAssetCollectionRepresentation`.
    

### GET getAppFrameworkLatestAppActivityItem

`GET /app-framework/apps/{appIdOrApiName}/activities/latest`

Operation ID: `getAppFrameworkLatestAppActivityItem`. Tags: App Activities.

Returns the latest activities for a specified app.

Returns the latest activities for a specified app.

#### Parameters

*   `appIdOrApiName` (path, string, required)

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `AppActivityItemRepresentation`.
    

### GET getAppFrameworkTemplateLayout

`GET /app-framework/templates/{templateIdOrApiName}/layout`

Operation ID: `getAppFrameworkTemplateLayout`. Tags: Template Layout.

Returns or updates the layout for the specified template.

Returns the layout for the specified template.

#### Parameters

*   `templateIdOrApiName` (path, string, required)

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `UiLayoutDefinitionRepresentation`.
    

### PUT putAppFrameworkTemplateLayout

`PUT /app-framework/templates/{templateIdOrApiName}/layout`

Operation ID: `putAppFrameworkTemplateLayout`. Tags: Template Layout.

Returns or updates the layout for the specified template.

Updates the layout for the specified template.

#### Parameters

*   `templateIdOrApiName` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `UiLayoutDefinitionInputRepresentation`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `UiLayoutDefinitionRepresentation`.
    

### GET getAppFrameworkTemplateRule

`GET /app-framework/templates/{templateIdOrApiName}/rules/{ruleName}`

Operation ID: `getAppFrameworkTemplateRule`. Tags: Template Rules.

Returns, deletes, or updates a specified rule for the specified template.

Returns a specified rule for the specified template.

#### Parameters

*   `ruleName` (path, string, required)
*   `templateIdOrApiName` (path, string, required)

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `RuleDefinitionRepresentation`.
    

### PUT putAppFrameworkTemplateRule

`PUT /app-framework/templates/{templateIdOrApiName}/rules/{ruleName}`

Operation ID: `putAppFrameworkTemplateRule`. Tags: Template Rules.

Returns, deletes, or updates a specified rule for the specified template.

Updates a specified rule for the specified template.

#### Parameters

*   `ruleName` (path, string, required)
*   `templateIdOrApiName` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `RuleDefinitionInputRepresentation`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `RuleDefinitionRepresentation`.
    

### DELETE deleteAppFrameworkTemplateRule

`DELETE /app-framework/templates/{templateIdOrApiName}/rules/{ruleName}`

Operation ID: `deleteAppFrameworkTemplateRule`. Tags: Template Rules.

Returns, deletes, or updates a specified rule for the specified template.

Deletes a specified rule from the specified template.

#### Parameters

*   `ruleName` (path, string, required)
*   `templateIdOrApiName` (path, string, required)

#### Responses

*   **200** Success

### POST postJsonTransformation

`POST /jsonxform/transformation`

Operation ID: `postJsonTransformation`. Tags: JSON Transformation.

Perform a JSON transformation using rules and expressions.

Invokes a set of rules and expression on a json document

#### Request body

Media type: `application/json`. Schema: `JsonTransformationInputRepresentation`.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `JsonTransformationRepresentation`.
    

## Schemas

### AppActivityCollectionRepresentation

The definition for a collection of an app's activity or history records.

*   `appId` (_string_) The ID or fully qualified API name of the app.
*   `items` (_array of AppActivityItemRepresentation_) A list of the app's activity records.

### AssetRepresentation

The definition of an asset created from a template.

*   `appAssetVersion` (_number (double)_) The asset version used to create this asset
*   `appId` (_string_) he ID of the app the asset belongs to.
*   `assetIdOrName` (_string_) The primary ID or developer name of the asset.
*   `assetIdOrName2` (_string_) The secondary ID or developer name of the asset.
*   `assetIdOrName3` (_string_) The tertiary ID or developer name of the asset.
*   `id` (_string_) The ID of the asset association.
*   `summary` (_SummaryAssetRepresentation_)
*   `templateAssetSourceName` (_string_) The name of the source template asset used to create the asset.
*   `templateSourceId` (_string_) The ID of the source template asset used to create the asset.
*   `type` (_string_) The asset type.

### AssetInputRepresentation

The definition for creating an asset from a template.

*   `appAssetVersion` (_number (double)_) The version of the app used to create this asset.
*   `appId` (_string_) The app ID that this asset belongs to.
*   `assetIdOrName1` (_string_) The primary ID or developer name of the asset.
*   `assetIdOrName2` (_string_) The secondary ID or developer name of the asset.
*   `assetIdOrName3` (_string_) The tertiary ID or developer name of the asset.
*   `templateAssetSourceName` (_string_) The template asset name associated with this asset.
*   `templateSourceId` (_string_) The app or component template id used to create this asset.
*   `type` (_string_) Asset Type

### TemplateTaskTypeEnum

The template task types.

Type: `string`.

Allowed values: `App`, `Readiness`, `Setup`, `Template`.

### TemplateTaskCollectionRepresentation

The definition for a collection of template tasks. framework

*   `tasks` (_array of TemplateTaskRepresentation_) A list of available template tasks.

### VariablesRepresentation

The definition for the collection of all template variables.

*   `variables` (_object_) A list of variable definitions for the template.
    
    Additional properties: `VariableDefinitionRepresentation`.
    

### VariablesInputRepresentation

The definition for the collection of all template variables.

*   `variables` (_object_) A list of variable definitions for the template.
    
    Additional properties: `VariableDefinitionInputRepresentation`.
    

### TemplateSubtypeEnum

The app framework template subtype types.

Type: `string`.

Allowed values: `AgentforceAnalytics`, `Dashboard`, `DataCloud`, `Flow`, `Metric`, `SemanticModel`, `Tableau`, `Visualization`.

### TemplateTypeEnum

The app framework template types.

Type: `string`.

Allowed values: `App`, `Component`, `Library`, `Unknown`.

### AppCollectionRepresentation

The definition for a collection of template apps.

*   `apps` (_array of AppRepresentation_) A list of available templated apps.

### BaseAppInputRepresentation

The base definition for creating an app from a template.

*   `assetIcon` (_string_) The icon enumeration that best represents the templated app. Valid values are 1.png through 20.png.
*   `description` (_string_) The description of the templated app.
*   `label` (_string_) The name of the templated app.
*   `name` (_string_) The API name of the templated app.

### AppResultRepresentation

The definition for the results of creating a templated app.

*   `app` (_AppRepresentation_)
*   `appHubUrl` (_string (url)_) The URL to the app hub page.
*   `failureMessage` (_string_) The failure message if the app has failed. If the app is running asynchronously, it may not have completed yet.
*   `runtimeRequestId` (_string_) The ID of the runtime request for app creation.
*   `state` (_object_) The state of the app creation result.
    
    Additional properties: `object`.
    

### TemplateTagCollectionRepresentation

The definition for a collection of template tags.

*   `tags` (_object_) The collection of tag names and values for a template.
    
    Additional properties: `array of string`.
    
*   `templateId` (_string_) The ID of the template.

### TemplateTagCollectionInputRepresentation

The definition for a collection of template tags.

*   `tags` (_object_) The map of tag names and values for the template.
    
    Additional properties: `array of string`.
    

### InstalledAssetCollectionRepresentation

The definition for a collection of assets associated with an app.

*   `assets` (_array of AssetRepresentation_) A list of templated and non-templated assets associated with an app.

### AssetByTemplateCollectionRepresentation

The definition for a collection of all assets created from a template..

*   `assets` (_array of AssetRepresentation_) A list of the assets created from the template.
*   `templateId` (_string_) The ID or fully qualified API name of the template.

### TemplateRepresentation

The definition for a template.

*   `applicationSourceId` (_string_) The ID of the source app for the template..
*   `assetVersion` (_number (double)_) The asset version of the template.
*   `assetsUrl` (_string (url)_) The URL for the template's assets.
*   `autoSetupUrl` (_string (url)_) The URL to run the automated setup of an app from the template.
*   `chainDefinitions` (_array of ChainDefinitionRepresentation_) A list of the chain definitions for the template.
*   `chainsUrl` (_string (url)_) The URL for the template chain definitions.
*   `configurationModifier` (_TemplateConfigurationModifierRepresentation_)
*   `configurationUrl` (_string (url)_) The URL for the template configuration.
*   `createdDate` (_string (date-time)_) The creation date of the template.
*   `description` (_string_) The description of the template.
*   `icons` (_TemplateIconsRepresentation_)
*   `id` (_string_) The ID or fully qualified API name of the template.
*   `label` (_string_) The label of the template.
*   `lastModifiedDate` (_string (date-time)_) The last modified date of the template.
*   `layoutDefinition` (_string_) The layout definition of the template.
*   `layoutUrl` (_string (url)_) The URL for the template layout definitions.
*   `maxAppCount` (_integer_) The maximum number of apps that can be created from this template.
*   `name` (_string_) The developer name of the template.
*   `namespace` (_string_) The namespace of the template.
*   `readinessUrl` (_string (url)_) The URL to run the readiness checks for the template.
*   `releaseInfo` (_ReleaseInfoRepresentation_)
*   `rules` (_array of RuleInfoRepresentation_) A list of the rules for the template.
*   `rulesUrl` (_string (url)_) The URL for the template rule definitions.
*   `tags` (_object_) A collection of the tag names and values for the template.
    
    Additional properties: `array of string`.
    
*   `templateStatus` (_TemplateStatusEnum_)
*   `templateSubtype` (_TemplateSubtypeEnum_)
*   `templateType` (_TemplateTypeEnum_)
*   `url` (_string (url)_) The URL for the template.
*   `variableDefinition` (_string_) The variable definition of the template.
*   `variablesUrl` (_string (url)_) The URL for the template variable definitions.

### TemplateUpdateRepresentation

The definition for updating a template.

Includes all fields of `BaseTemplateInputRepresentation`.

### ChainTypeEnum

The chain types for a template.

Type: `string`.

Allowed values: `AutomatedSetup`, `Create`, `Delete`, `OrgReadiness`, `RefreshData`, `Update`.

### ChainDetailsRepresentation

chain details.

*   `chain` (_DominoChainRepresentation_)
*   `dominoChainId` (_string_) The chain ID.
*   `file` (_string_) The json file name
*   `name` (_string_) The name of the chain
*   `type` (_ChainTypeEnum_)

### TemplateConfigurationRepresentation

The definition for a template configuration.

*   `id` (_string_) The ID or fully qualified API name of the template.
*   `layout` (_UiLayoutDefinitionRepresentation_)
*   `name` (_string_) The developer name of the template.
*   `variables` (_object_) The variable names and values for the template.
    
    Additional properties: `VariableDefinitionRepresentation`.
    

### ChainDefinitionCollectionRepresentation

The definition for the list of chains for a template.

*   `chains` (_array of ChainDefinitionRepresentation_) A list of chains for the template.
*   `templateId` (_string_) The ID or name of the template for which these chains belong.

### ChainDetailsInputRepresentation

The definition for chain details.

*   `chain` (_DominoChainInputRepresentation_)
*   `file` (_string_) The file reference for the chain.
*   `name` (_string_) The name of the chain.
*   `type` (_ChainTypeEnum_)

### BasicAppUpdateRepresentation

The definition for updating a basic app from a list of asset IDs.

*   `assetIds` (_array of string_) A list of asset IDs to associate with the app.

### AppRefreshInputRepresentation

The definition to perform a data refresh on a templated app.

*   `logLevel` (_ConnectRuntimeLogEntryLevel_)
*   `refreshType` (_RefreshTypeEnum_)
*   `templateValues` (_object_) The runtime template values used to the control conditions in the chain.
    
    Additional properties: `object`.
    

### TemplateCollectionRepresentation

The definition for a collection of templates.

*   `templates` (_array of TemplateRepresentation_) A list of the available templates.

### TemplateInputRepresentation

The definition of a template..

Includes all fields of `BaseTemplateInputRepresentation`.

*   `assetVersion` (_number (double)_) The version of the template assets.
*   `chainDefinitions` (_array of ChainDefinitionInputRepresentation_) The Template chain definitions
*   `configurationModifier` (_TemplateConfigurationModifierInputRepresentation_)
*   `icons` (_TemplateIconsInputRepresentation_)
*   `id` (_string_) The ID of the template.
*   `layoutDefinition` (_string_) The layout definition for the template.
*   `maxAppCount` (_integer_) The maximum number of apps that can be created from this template.
*   `name` (_string_) The developer name of the template.
*   `namespace` (_string_) The namespace of the template.
*   `rules` (_array of RuleInfoInputRepresentation_) A list of rules for the template.
*   `tags` (_object_) A collection of the tag names and values for the template.
    
    Additional properties: `array of string`.
    
*   `templateStatus` (_TemplateStatusEnum_)
*   `templateSubtype` (_TemplateSubtypeEnum_)
*   `templateType` (_TemplateTypeEnum_)
*   `variableDefinition` (_string_) The variables definition for the template.

### AppActivityItemRepresentation

The definition for an app activity record.

*   `activityType` (_ActivityTypeEnum_)
*   `appId` (_string_) The ID of app.
*   `id` (_string_) The ID of the app activity item record.
*   `runtimeRequest` (_DominoRuntimeRequestRepresentation_)
*   `url` (_string (url)_) The URL for the app activity item.

### RuleCollectionRepresentation

he definition for a collection of rules for a template.

*   `rules` (_array of RuleSummaryRepresentation_) A list of the rule summaries for a template.
*   `testUrl` (_string (url)_) The URL for testing the rules.

### AssetCollectionRepresentation

The definition for a collection of app assets created from a template.

*   `appId` (_string_) The ID or fully qualified API name of the app.
*   `assets` (_array of AssetRepresentation_) A list of the assets created from the template for the app.

### TemplateReadinessInputRepresentation

The definition for validating org readiness for a template.

*   `logLevel` (_ConnectRuntimeLogEntryLevel_)
*   `templateValues` (_object_) The runtime template values used to control conditions in the chain.
    
    Additional properties: `object`.
    

### TemplateReadinessRepresentation

The definition for validating org readiness for a template.

*   `id` (_string_) The ID of the validated template.
*   `runtimeRequestId` (_string_) The ID of the runtime request for the readiness check.
*   `state` (_object_) The state for the template readiness.
    
    Additional properties: `object`.
    
*   `status` (_ConnectRuntimeRequestStatusEnum_)
*   `tasks` (_array of TemplateReadinessItemRepresentation_) A list of the validation results from each requirement task.
*   `warningMessage` (_string_) A warning message for the readiness check.

### AppScheduleCollectionRepresentation

The definition for a collection of app schedules.

*   `appId` (_string_) The ID or fully qualified API name of the app.
*   `schedules` (_array of AppScheduleRepresentation_) A list of app schedule records.

### AppScheduleCollectionInputRepresentation

The definition for creating app schedules.

*   `schedules` (_array of AppScheduleInputRepresentation_) The list of schedules for the app.

### AppRepresentation

The definition for a templated app.

*   `activitiesUrl` (_string (url)_) The URL for the most recent app installation activities.
*   `appAssetVersion` (_number (double)_) The asset version of the template used to create the app.
*   `applicationStatus` (_ConnectRuntimeRequestStatusEnum_)
*   `assetUrl` (_string (url)_) The URL for the app's assets.
*   `createdBy` (_UserRepresentation_)
*   `createdDate` (_string (date-time)_) The creation date of the app.
*   `description` (_string_) The description of the app.
*   `id` (_string_) The ID or fully qualified API name of the app.
*   `installationHistoryUrl` (_string (url)_) The URL to the installation history page for the app.
*   `label` (_string_) The label of this app.
*   `lastModifiedBy` (_UserRepresentation_)
*   `lastModifiedDate` (_string (date-time)_) The last modification date of the app.
*   `latestActivityUrl` (_string (url)_) The URL to the most recent app activity.
*   `name` (_string_) The developer name of the app.
*   `refreshUrl` (_string (url)_) The URL to rerun the data assets and refresh the data.
*   `schedule` (_AppScheduleRepresentation_)
*   `templateSourceId` (_string_) The ID of the template used to create this app.
*   `templateSubtype` (_TemplateSubtypeEnum_)
*   `templateType` (_TemplateTypeEnum_)
*   `templateValues` (_object_) The variable values used to create the custom app.
    
    Additional properties: `object`.
    
*   `templateVersion` (_string_) The version of the template used to create the app.
*   `updateBasicAppUrl` (_string (url)_) The URL to run the update for a source app of a template.
*   `url` (_string (url)_) The URL to the app.

### AppUpdateRepresentation

The definition to update or reconfigure a templated app.

*   `chainName` (_string_) The update chain name to run during the update, defined in the template-info file. to run.
*   `logLevel` (_ConnectRuntimeLogEntryLevel_)
*   `runtimeMethod` (_ConnectRuntimeMethodTypeEnum_)
*   `templateSourceId` (_string_) The template ID used to create the app.
*   `templateValues` (_object_) The runtime template values to use during app upgrade.
    
    Additional properties: `object`.
    

### BasicAppPatchInputRepresentation

The definition for patching an existing basic app.

*   `description` (_string_) The updated description of the app.
*   `label` (_string_) The updated name of the app.

### TemplatedAssetCollectionRepresentation

The definition for a collection of templated assets for an app.

*   `templatedAssets` (_array of TemplatedAssetRepresentation_) A list of the available templated assets.

### UiLayoutDefinitionRepresentation

The top-level layout definition for a template configuration wizard.

*   `appDetails` (_AppDetailsRepresentation_)
*   `displayMessages` (_array of DisplayMessageRepresentation_) A list of display messages for the layout.
*   `navigationPanel` (_NavigationPanelRepresentation_)
*   `pages` (_array of PageLayoutRepresentation_) A list of page layouts for the layout.

### UiLayoutDefinitionInputRepresentation

The top-level layout definition for a template configuration wizard.

*   `appDetails` (_AppDetailsInputRepresentation_)
*   `displayMessages` (_array of DisplayMessageInputRepresentation_) A list of display messages for the layout.
*   `navigationPanel` (_NavigationPanelInputRepresentation_)
*   `pages` (_array of PageLayoutInputRepresentation_) A list of page layouts for the layout.

### RuleDefinitionRepresentation

The definition of the details for a template rule.

*   `constants` (_array of ConstantRepresentation_) A list of the constants for the rule.
*   `macros` (_array of MacroRepresentation_) A list of the macros for the rule.
*   `rules` (_array of RuleRepresentation_) A lists of rules for the rule.

### RuleDefinitionInputRepresentation

The definition for a JSON rule.

*   `constants` (_array of ConstantInputRepresentation_) A list of the constants of the rule definition.
*   `macros` (_array of MacroInputRepresentation_) A list of the macros of the rule definition.
*   `rules` (_array of RuleInputRepresentation_) A list of the rules of the rule definition.

### JsonTransformationInputRepresentation

The definition for a JSON transformation including the document, context, and rules.

*   `definition` (_RuleDefinitionInputRepresentation_)
*   `document` (_object_) The arbitrary JSON document to run the rules against.
    
    Additional properties: `object`.
    
*   `values` (_object_) A map of value or context objects used to resolve variables in expressions
    
    Additional properties: `object`.
    

### JsonTransformationRepresentation

The definition for the transformed JSON after any rules are applied.

*   `document` (_object_) The collection of JSON diffs.
    
    Additional properties: `object`.
    

### SummaryAssetRepresentation

The definition for a summary asset.

*   `description` (_string_) The description of the asset.
*   `id` (_string_) The ID of the asset.
*   `label` (_string_) The label of the asset.
*   `name` (_string_) The developer name of the asset.
*   `url` (_string (url)_) The URL to the asset.

### TemplateTaskRepresentation

The definition for a template task.

*   `parameterExample` (_any_) A parameter example for the task.
*   `recommendedActivityTypes` (_array of string_) A list of the recommended activity types.
*   `taskDescription` (_string_) The description of the task.
*   `taskDescriptionItems` (_array of string_) A list of the task description items.
*   `taskName` (_string_) The name of the task.

### VariableDefinitionRepresentation

The definition for a template variable.

*   `computedValue` (_any_) The computed value of the variable. This value is set by integrated apex implementations.
*   `defaultValue` (_any_) The default value of the variable.
*   `description` (_string_) The description of the variable.
*   `excludeSelected` (_boolean_) Indicates whether the variable is excluding values selected for other variables or not.
*   `excludes` (_array of string_) A list of values to exclude from the variable selection list.
*   `label` (_string_) The label for the variable.
*   `mostRecentValue` (_any_) The value specified in the most recent app creation process.
*   `required` (_boolean_) Indicates whether the variable is required by the template or not.
*   `variableType` (_VariableTypeRepresentation_)

### VariableDefinitionInputRepresentation

The definition for a template variable.

*   `computedValue` (_any_) The computed value for the variable. This value is set by integrated apex implementations.
*   `defaultValue` (_any_) The default value for the variable.
*   `description` (_string_) The description of the variable.
*   `excludeSelected` (_boolean_) Indicates whether the variable is excluding values selected for other variables or not.
*   `excludes` (_array of string_) A list of values to exclude from the variable value selection list.
*   `label` (_string_) The label for the variable.
*   `required` (_boolean_) Indicates whether the variable is required by the template or not.
*   `variableType` (_VariableTypeInputRepresentation_)

### ChainDefinitionRepresentation

The definition of a chain for a template.

*   `dominoChainId` (_string_) The ID of the chain definition.
*   `file` (_string_) The file name of the chain definition.
*   `name` (_string_) The name of the chain definition.
*   `type` (_ChainTypeEnum_)
*   `url` (_string (url)_) The url to the chain definition.

### TemplateConfigurationModifierRepresentation

The definition for a template configuration modifier.

*   `name` (_string_) The name of the configuration modifier.
*   `namespace` (_string_) The namespace of the configuration modifier.

### TemplateIconsRepresentation

The definition for the template's icons.

*   `appBadge` (_TemplateImageRepresentation_)
*   `layoutImages` (_array of TemplateImageRepresentation_) The images used in the layout.
*   `templateBadge` (_TemplateImageRepresentation_)
*   `templatePreviews` (_array of TemplateImageRepresentation_) The preview images for a template, displayed in the template details.

### ReleaseInfoRepresentation

The definition for template release notes and version.

*   `notesFile` (_string_) The release notes file name for the template.
*   `templateVersion` (_string_) The version of the template.

### RuleInfoRepresentation

The definition for a rule for a template.

*   `file` (_string_) The JSON file defining the rule.
*   `type` (_RuleTypeEnum_)

### TemplateStatusEnum

The template status types.

Type: `string`.

Allowed values: `Draft`, `Published`.

### BaseTemplateInputRepresentation

The base definition for a template.

*   `applicationSourceId` (_string_) The source app ID for this template.
*   `assetIds` (_array of string_) A list of asset IDs to templatize.
*   `description` (_string_) The description of the template.
*   `label` (_string_) The label for the template.
*   `releaseInfo` (_ReleaseInfoInputRepresentation_)

### DominoChainRepresentation

The definition for an app template framework chain.

*   `createdBy` (_DominoUserRepresentation_)
*   `createdDateTime` (_string (date-time)_) The date and time the chain was created.
*   `definition` (_DominoGraphNodeDefinitionRepresentation_)
*   `description` (_string_) The description of the chain.
*   `dominoVariant` (_string_) The variant or implementation of the chain.
*   `finallyDefinition` (_DominoGraphNodeDefinitionRepresentation_)
*   `id` (_string_) The ID of the chain.
*   `label` (_string_) The label of the chain.
*   `lastModifiedBy` (_DominoUserRepresentation_)
*   `lastModifiedDateTime` (_string (date-time)_) The date and time the chain was last modified.
*   `name` (_string_) The API name of the chain.
*   `parameters` (_object_) The parameters of the chain.
    
    Additional properties: `object`.
    
*   `runtimesUri` (_string (url)_) The URL to runtimes of this chain.
*   `uri` (_string (url)_) The URL to the individual chain definition.

### DominoChainInputRepresentation

The definition for an app template framework chain.

*   `createdBy` (_DominoUserInputRepresentation_)
*   `createdDateTime` (_string (date-time)_) Ignored attribute. The date and time the chain was created.
*   `definition` (_DominoGraphDefinitionInputRepresentation_)
*   `description` (_string_) The description for the chain.
*   `dominoVariant` (_string_) The app template framework variant associated with the chain.
*   `finallyDefinition` (_DominoGraphDefinitionInputRepresentation_)
*   `id` (_string_) The ID of the chain.
*   `label` (_string_) The label for the chain.
*   `lastModifiedBy` (_DominoUserInputRepresentation_)
*   `lastModifiedDateTime` (_string (date-time)_) Ignored attribute. The date and time the chain was last modified.
*   `name` (_string_) The API name of the chain.
*   `parameters` (_object_) The parameter payload for the chain.
    
    Additional properties: `object`.
    

### ConnectRuntimeLogEntryLevel

The logging level of a single log entry.

Type: `string`.

Allowed values: `FineLevel`, `FinerLevel`, `FinestLevel`, `InfoLevel`, `SevereLevel`, `WarningLevel`.

### RefreshTypeEnum

The data refresh types for an app.

Type: `string`.

Allowed values: `Full`, `Partial`.

### ChainDefinitionInputRepresentation

The definition for a template chain declaration.

*   `file` (_string_) The file name for the chain definition.
*   `name` (_string_) The name of the chain definition.
*   `type` (_ChainTypeEnum_)

### TemplateConfigurationModifierInputRepresentation

The definition for a template configuration modifier.

*   `name` (_string_) The name of the configuration modifier.
*   `namespace` (_string_) The namespace of the configuration modifier.

### TemplateIconsInputRepresentation

The definition for the template's icons.

*   `appBadge` (_TemplateImageInputRepresentation_)
*   `layoutImages` (_array of TemplateImageInputRepresentation_) The images used in the layout.
*   `templateBadge` (_TemplateImageInputRepresentation_)
*   `templatePreviews` (_array of TemplateImageInputRepresentation_) The preview images for a template, displayed in the template details.

### RuleInfoInputRepresentation

The definition for the template rule.

*   `file` (_string_) The JSON file defining the rule.
*   `type` (_RuleTypeEnum_)

### ActivityTypeEnum

The activity types for an app.

Type: `string`.

Allowed values: `AutomatedSetup`, `Create`, `Delete`, `OrgReadiness`, `RefreshData`, `Update`.

### DominoRuntimeRequestRepresentation

The definition for an app template framework runtime request.

*   `chain` (_DominoChainRepresentation_)
*   `configuration` (_DominoRuntimeConfigurationRepresentation_)
*   `createdBy` (_DominoUserRepresentation_)
*   `createdDateTime` (_string (date-time)_) The date and time the runtime request was created.
*   `definition` (_DominoRuntimeTaskNodeDefinitionRepresentation_)
*   `durationInSeconds` (_number (int64)_) The total duration in seconds for the runtime request.
*   `endDateTime` (_string (date-time)_) The date and time the runtime request completed.
*   `finallyDefinition` (_DominoFinallyTaskNodeDefinitionRepresentation_)
*   `id` (_string_) The ID of the runtime request.
*   `lastModifiedBy` (_DominoUserRepresentation_)
*   `lastModifiedDateTime` (_string (date-time)_) The date and time the runtime request was last modified.
*   `log` (_DominoAttachmentInfoRepresentation_)
*   `requestIndexMetadata` (_object_) The index metadata for the runtime request.
    
    Additional properties: `DominoIndexMetadataRepresentation`.
    
*   `requestMethod` (_ConnectRuntimeMethodTypeEnum_)
*   `requestStatus` (_ConnectRuntimeRequestStatusEnum_)
*   `startDateTime` (_string (date-time)_) The date and time the runtime request was started.
*   `state` (_DominoAttachmentInfoRepresentation_)
*   `stateUri` (_string (url)_) The URL to the most recent state of the runtime request.
*   `taskSummary` (_DominoSummarizedItemEntryRepresentation_)
*   `totalAttachmentSize` (_number (int64)_) The total attachment size, in bytes, consumed by the request.
*   `uri` (_string (url)_) The URL to the runtime task node's details.

### RuleSummaryRepresentation

The definition of a summary for a template rule.

*   `file` (_string_) The file name of the rule.
*   `name` (_string_) The name of the rule.
*   `type` (_RuleTypeEnum_)
*   `url` (_string (url)_) The URL to the rule details.

### ConnectRuntimeRequestStatusEnum

The status of app template framework execution requests.

Type: `string`.

Allowed values: `AbortedStatus`, `CancelledStatus`, `EnqueuedStatus`, `FailedStatus`, `InProgressStatus`, `NewStatus`, `SuccessStatus`, `SuccessWithWarningsStatus`.

### TemplateReadinessItemRepresentation

The definition for the validation result of a readiness item for a template.

*   `message` (_string_) The specific message for the readiness item.
*   `readinessStatus` (_TemplateReadinessStatusEnum_)
*   `tags` (_array of string_) A list of the tags describing the purpose of the validation.
*   `type` (_string_) The type of the readiness check.

### AppScheduleRepresentation

The definition for an app schedule.

*   `chainName` (_string_) The chain name to apply the schedule to.
*   `chainType` (_ChainTypeEnum_)
*   `schedule` (_ScheduledItemRepresentation_)
*   `url` (_string (url)_) The URL to the schedule details.

### AppScheduleInputRepresentation

The definition of an app schedule.

*   `chainName` (_string_) The chain name to apply the schedule to.
*   `chainType` (_ChainTypeEnum_)
*   `schedule` (_ScheduledItemInputRepresentation_)

### UserRepresentation

The definition of a user, in the context of templates and templated apps and assets.

*   `id` (_string_) The 18-character ID for the user.
*   `name` (_string_) The name of the user.
*   `profilePhotoUrl` (_string (url)_) The Chatter profile photo of the user.

### ConnectRuntimeMethodTypeEnum

The types of execution methods for app template framework runtime requests.

Type: `string`.

Allowed values: `Asynchronous`, `Synchronous`.

### TemplatedAssetRepresentation

The definition for a templated asset.

*   `assetType` (_string_) The type of the asset.
*   `body` (_string_) The body of the asset.
*   `fileName` (_string_) The file name of the asset.
*   `id` (_string_) The ID of the asset.
*   `templateId` (_string_) The ID of the template used to create the asset.
*   `templatedAssetName` (_string_) The name of the asset within the template.

### AppDetailsRepresentation

The definition for the app details page of the template configuration wizard.

*   `guidancePanel` (_GuidancePanelRepresentation_)
*   `navigation` (_PageNavigationInfoRepresentation_)

### DisplayMessageRepresentation

The definition for a display message on a template configuration wizard page.

*   `location` (_string_) The name of the page where the text content is displayed.
*   `text` (_string_) The text content to display.

### NavigationPanelRepresentation

The definition for the navigation panel in the template configuration wizard.

*   `title` (_string_) The title for the navigation panel.

### PageLayoutRepresentation

The definition for a page layout in the template configuration wizard.

Discriminator: `type` selects the concrete type. Mapping: `Configuration` → `ConfigurationPageLayoutRepresentation`, `Validation` → `ValidationPageLayoutRepresentation`.

*   `backgroundImage` (_ImageReferenceRepresentation_)
*   `condition` (_string_) The conditional expression in which the page should be shown. Values should be client-side EL notation (e.g. {{Variables.selectedOption}})
*   `guidancePanel` (_GuidancePanelRepresentation_)
*   `helpUrl` (_string_) A URL to the help content for the page.
*   `navigation` (_PageNavigationInfoRepresentation_)
*   `title` (_string_) The title for the page.
*   `type` (_PageTypeEnum_, required)

### AppDetailsInputRepresentation

The definition for the app details page of the template configuration wizard.

*   `guidancePanel` (_GuidancePanelInputRepresentation_)
*   `navigation` (_PageNavigationInfoInputRepresentation_)

### DisplayMessageInputRepresentation

The definition for a display message in the template configuration wizard.

*   `location` (_string_) The name of the page where the text content is displayed.
*   `text` (_string_) The text content to display.

### NavigationPanelInputRepresentation

The definition for the navigation panel in the template configuration wizard.

*   `title` (_string_) The title for the navigation panel.

### PageLayoutInputRepresentation

The definition for a page in the template configuration wizard.

Discriminator: `type` selects the concrete type. Mapping: `Configuration` → `ConfigurationPageLayoutInputRepresentation`, `Validation` → `ValidationPageLayoutInputRepresentation`.

*   `backgroundImage` (_ImageReferenceInputRepresentation_)
*   `condition` (_string_) A conditional expression in which the page should be shown in the wizard flow or not. Values should be client-side EL notation (e.g. {{Variables.selectedOption}}).
*   `guidancePanel` (_GuidancePanelInputRepresentation_)
*   `helpUrl` (_string_) A URL to the help content for the page.
*   `navigation` (_PageNavigationInfoInputRepresentation_)
*   `title` (_string_) The title for the page.
*   `type` (_PageTypeEnum_, required)

### ConstantRepresentation

The definition of a constant value for the template rules.

*   `name` (_string_) The name of the constant.
*   `value` (_any_) The expression value of the constant.

### MacroRepresentation

The definition for a macro for template rules.

*   `definitions` (_array of MacroDefinitionRepresentation_) A list of the macro definitions for the macro. .
*   `namespace` (_string_) The namespace of the macro.

### RuleRepresentation

The definition of a rule for a template.

*   `actions` (_array of ActionRepresentation_) A list of the actions the rule performs.
*   `appliesTo` (_array of AppliesToRepresentation_) A list of the assets the rule applies to.
*   `condition` (_string_) The EL condition for when to run the rule.
*   `name` (_string_) The name of the rule.

### ConstantInputRepresentation

The definition for a constant in the JSON rules.

*   `name` (_string_) The name of the rule.
*   `value` (_any_) The value of the rule.

### MacroInputRepresentation

The definition for a macro in the JSON rules.

*   `definitions` (_array of MacroDefinitionInputRepresentation_) A list of definitions for the macro.
*   `namespace` (_string_) The namespace of the macro.

### RuleInputRepresentation

The definition for a JSON rule.

*   `actions` (_array of ActionInputRepresentation_) The actions of the rule.
*   `appliesTo` (_array of AppliesToInputRepresentation_) The name of the JSON to apply the rule to.
*   `condition` (_string_) The condition of the rule.
*   `name` (_string_) The name of the rule.

### VariableTypeRepresentation

The base definition for a template variable type.

Discriminator: `type` selects the concrete type.

*   `type` (_VariableTypeEnum_, required)

### VariableTypeInputRepresentation

The base definition for a template variable type.

Discriminator: `type` selects the concrete type.

*   `type` (_VariableTypeEnum_, required)

### TemplateImageRepresentation

The definition for a template image.

*   `file` (_string_) The file path for the image.
*   `name` (_string_) The name of the image.
*   `url` (_string (url)_) The URL for the image.

### RuleTypeEnum

The types of rules for a template.

Type: `string`.

Allowed values: `TemplateToApp`.

### ReleaseInfoInputRepresentation

The definition for template release notes and version.

*   `notesFile` (_string_) The release notes file name for the template.
*   `templateVersion` (_string_) The version of the template.

### DominoUserRepresentation

The definition for an app template framework user.

*   `id` (_string_) The ID of the user.
*   `name` (_string_) The full name of the user.
*   `profilePhotoUrl` (_string (url)_) The URL to the user's profile photo.
*   `username` (_string_) The username of the user.

### DominoGraphNodeDefinitionRepresentation

The definition for a graph node in a chain.

*   `nodes` (_object_) The map of nodes representing the definition.
    
    Additional properties: `DominoGraphNodeRepresentation`.
    

### DominoUserInputRepresentation

The definition for an app template framework user.

*   `id` (_string_) The ID of the user.
*   `name` (_string_) The full name of the user.
*   `username` (_string_) The username of the user.

### DominoGraphDefinitionInputRepresentation

The definition for the graph nodes of a chain.

*   `nodes` (_object_) The map of graph nodes for the definition.
    
    Additional properties: `DominoGraphNodeInputRepresentation`.
    

### TemplateImageInputRepresentation

The definition for a template image.

*   `file` (_string_) The image file.
*   `name` (_string_) The name of the image.

### DominoRuntimeConfigurationRepresentation

The definition for the configuration of an app template framework runtime request.

*   `loggingLevel` (_ConnectRuntimeLogEntryLevel_)

### DominoRuntimeTaskNodeDefinitionRepresentation

The definition for an app template framework runtime task node in an execution request.

*   `nodes` (_object_) The map of nodes representing the definition.
    
    Additional properties: `DominoRuntimeTaskNodeRepresentation`.
    

### DominoFinallyTaskNodeDefinitionRepresentation

The definition for an app template framework runtime task node in an execution request.

*   `nodes` (_object_) The map of nodes representing the 'finally' definition.
    
    Additional properties: `DominoFinallyTaskNodeRepresentation`.
    

### DominoAttachmentInfoRepresentation

The definition for an attachment.

*   `id` (_string_) The ID of the attachment.
*   `size` (_number (int64)_) The size of the attachment.
*   `uri` (_string (url)_) The URL to the attachment.

### DominoIndexMetadataRepresentation

The definition for a request index metadata.

*   `chainId` (_string_) The chain ID of the index metadata.
*   `graphNodeId` (_string_) The graph node ID of the index metadata.
*   `id` (_string_) The ID of the index metadata.
*   `indexMetadataType` (_ConnectIndexMetadataTypeEnum_)
*   `key` (_string_) The key of the index metadata.
*   `requestId` (_string_) The request ID of the index metadata.
*   `value` (_string_) The value of the index metadata.

### DominoSummarizedItemEntryRepresentation

The definition for an entry in the summarized report.

*   `failures` (_number (int64)_) The number of items that failed.
*   `inProgress` (_number (int64)_) The number of items that are currently in progress.
*   `notStarted` (_number (int64)_) The number of items that have not been started.
*   `successes` (_number (int64)_) The number of items that were successful.
*   `total` (_number (int64)_) The total number of items.
*   `totalAttachmentSizeInBytes` (_number (int64)_) The total attachment size in bytes.
*   `totalDurationInSeconds` (_number (int64)_) Total runtime duration in seconds.
*   `warnings` (_number (int64)_) The number of items that completed with warnings.

### TemplateReadinessStatusEnum

The status types for a template readiness step.

Type: `string`.

Allowed values: `Complete`, `Failed`, `Warning`.

### ScheduledItemRepresentation

The definition for a scheduled item.

Discriminator: `frequency` selects the concrete type. Mapping: `Daily` → `DailyScheduledItemRepresentation`, `Hourly` → `HourlyScheduledItemRepresentation`, `Weekly` → `WeeklyScheduledItemRepresentation`.

*   `frequency` (_ConnectScheduleFrequencyTypeEnum_, required)
*   `nextScheduledRun` (_string (date-time)_) The next scheduled runtime.
*   `time` (_ScheduledTimeRepresentation_)

### ScheduledItemInputRepresentation

The abstract definition for a scheduled item.

Discriminator: `frequency` selects the concrete type. Mapping: `Daily` → `DailyScheduledItemInputRepresentation`, `Hourly` → `HourlyScheduledItemInputRepresentation`, `Weekly` → `WeeklyScheduledItemInputRepresentation`.

*   `frequency` (_ConnectScheduleFrequencyTypeEnum_, required)
*   `time` (_ScheduledTimeInputRepresentation_)

### GuidancePanelRepresentation

The definition for the guidance panel on a template configuration wizard page.

*   `backgroundImage` (_ImageReferenceRepresentation_)
*   `items` (_array of PanelItemRepresentation_) A list of items to display in the guidance panel.
*   `title` (_string_) The title for the guidance panel.

### PageNavigationInfoRepresentation

The definition for a page to display in the navigation panel.

*   `label` (_string_) The label for the page in the navigation panel.
*   `parentLabel` (_string_) The label for the parent node of the page in the navigation panel.

### ImageReferenceRepresentation

The definition for an image reference on a template configuration wizard page.

Includes all fields of `StaticResourceReferenceRepresentation`.

### PageTypeEnum

The page type for a template configuration flow page.

Type: `string`.

Allowed values: `Configuration`, `Validation`.

### GuidancePanelInputRepresentation

The description for a guidance panel on a template configuration wizard page.

*   `backgroundImage` (_ImageReferenceInputRepresentation_)
*   `items` (_array of PanelItemInputRepresentation_) A list of items to display in the guidance panel.
*   `title` (_string_) The title for the guidance panel.

### PageNavigationInfoInputRepresentation

The definition for a page to display in the navigation panel.

*   `label` (_string_) The label for the page in the navigation panel.
*   `parentLabel` (_string_) The label for the parent node of this page in the navigation panel.

### ImageReferenceInputRepresentation

The description for an image reference on a template configuration wizard page.

*   `name` (_string_) The path to the image file.

### MacroDefinitionRepresentation

The definition for a macro in the JSON rules.

*   `actions` (_array of ActionInputRepresentation_) The actions of the rule.
*   `description` (_string_) The description of the rule.
*   `name` (_string_) The name of the rule.
*   `parameters` (_array of string_) The parameters of the rule.
*   `returns` (_any_) The returns of the rule.

### ActionRepresentation

he definition of a template rules action.

*   `action` (_ConnectActionTypeEnum_)
*   `condition` (_string_) A conditional EL expression to determine if this action should be performed.
*   `description` (_string_) The description of the action.
*   `index` (_integer_) The index in the JSON array to insert the value.
*   `key` (_string_) The name of the JSON attribute.
*   `maxVersion` (_number (double)_) The maximum asset version for this action.
*   `minVersion` (_number (double)_) The minimum asset version for the action.
*   `path` (_string_) The JSON path pointing to where in the JSON to perform the action.
*   `value` (_any_) The value to set for the JSON attribute.

### AppliesToRepresentation

The definition of which asset a template rule applies to.

*   `label` (_string_) The label of the asset the rule applies to. The label value isn't reliable as an identifier.
*   `name` (_string_) The template asset name of the asset to apply the rule to. Wildcard '\*' is supported.
*   `type` (_string_) The type of asset the rule applies to.

### MacroDefinitionInputRepresentation

The definition for the details of a macro for template rules.

*   `actions` (_array of ActionRepresentation_) A list of the actions for the macro.
*   `description` (_string_) The description of the macro.
*   `name` (_string_) The name of the macro.
*   `parameters` (_array of string_) A list of the parameters for the macro.
*   `returns` (_any_) The return value of the macro.

### ActionInputRepresentation

The definition for a rules action.

*   `action` (_ConnectActionTypeEnum_)
*   `condition` (_string_) The condition of the rule.
*   `description` (_string_) The description of the rule.
*   `index` (_integer_) The index into an array
*   `key` (_string_) The key of the rule.
*   `maxVersion` (_number (double)_) The maximum API version this rule applies to.
*   `minVersion` (_number (double)_) The minimum API version this rule applies to.
*   `path` (_string_) The JSON path of the rule.
*   `value` (_any_) The value of the rule.

### AppliesToInputRepresentation

The definition for the JSON Rules applies to expression.

*   `label` (_string_) The label of the rule.
*   `name` (_string_) The name of the rule.
*   `type` (_string_) The type of the rule.

### VariableTypeEnum

The variable types for the template variable definition.

Type: `string`.

Allowed values: `ArrayType`, `BooleanType`, `CalculatedInsightFieldType`, `CalculatedInsightType`, `ConnectorType`, `DataLakeObjectFieldType`, `DataLakeObjectType`, `DataModelObjectFieldType`, `DataModelObjectType`, `DataSpaceType`, `DatasetAnyFieldType`, `DatasetDateType`, `DatasetDimensionType`, `DatasetMeasureType`, `DatasetType`, `DateTimeType`, `NumberType`, `ObjectType`, `SemanticMetricType`, `SemanticModelFieldType`, `SemanticModelType`, `SobjectFieldType`, `SobjectType`, `StringType`.

### DominoGraphNodeRepresentation

The definition for a graph node in a chain.

Includes all fields of `DominoGraphableRepresentation`.

*   `graphNodeType` (_DominoGraphNodeTypeRepresentation_)
*   `parameters` (_object_) The parameters of the node.
    
    Additional properties: `object`.
    
*   `runAs` (_ConnectRuntimeRunAsEnum_)
*   `runAsUser` (_DominoUserRepresentation_)

### DominoGraphNodeInputRepresentation

The definition for an app template framework graph node.

Includes all fields of `DominoGraphableInputRepresentation`.

*   `graphNodeType` (_DominoGraphNodeTypeInputRepresentation_)
*   `parameters` (_object_) The parameter payload for the graph node.
    
    Additional properties: `object`.
    
*   `runAs` (_ConnectRuntimeRunAsEnum_)
*   `runAsUser` (_DominoUserInputRepresentation_)

### DominoRuntimeTaskNodeRepresentation

The definition for a runtime task node in a runtime request.

Includes all fields of `DominoGraphableRepresentation`.

*   `graphNode` (_DominoGraphNodeRepresentation_)
*   `id` (_string_) The ID of the runtime task node.
*   `log` (_DominoAttachmentInfoRepresentation_)
*   `results` (_object_) The collection of results this runtime task node maintains.
    
    Additional properties: `DominoRuntimeTaskResultRepresentation`.
    
*   `runtimeRequest` (_DominoRuntimeRequestRepresentation_)
*   `state` (_DominoAttachmentInfoRepresentation_)
*   `taskStatus` (_ConnectRuntimeTaskStatusEnum_)
*   `uri` (_string (url)_) The URL to this runtime task node.

### DominoFinallyTaskNodeRepresentation

The definition for a finally task node in a runtime request.

Includes all fields of `DominoGraphableRepresentation`.

*   `graphNode` (_DominoGraphNodeRepresentation_)
*   `id` (_string_) The ID of the finally task node.
*   `log` (_DominoAttachmentInfoRepresentation_)
*   `result` (_DominoRuntimeTaskResultRepresentation_)
*   `runtimeRequest` (_DominoRuntimeRequestRepresentation_)
*   `state` (_DominoAttachmentInfoRepresentation_)
*   `taskStatus` (_ConnectRuntimeTaskStatusEnum_)
*   `uri` (_string (url)_) The URL to this finally task node.

### ConnectIndexMetadataTypeEnum

The type of app template framework index metadata entry.

Type: `string`.

Allowed values: `ChainIndex`, `CustomIndex`, `GraphNodeIndex`.

### ConnectScheduleFrequencyTypeEnum

The type of schedule frequency.

Type: `string`.

Allowed values: `Daily`, `Hourly`, `Monthly`, `MonthlyRelative`, `Weekly`.

### ScheduledTimeRepresentation

The definition for a scheduled time of day.

*   `hour` (_integer_) The hour of day.
*   `minute` (_integer_) The minute of hour.
*   `timezone` (_ScheduledTimezoneRepresentation_)

### ScheduledTimeInputRepresentation

The definition for a scheduled time.

*   `hour` (_integer_) The hour of day.
*   `minute` (_integer_) The minute of hour.
*   `timezone` (_ScheduledTimezoneInputRepresentation_)

### PanelItemRepresentation

The base definition of a panel item for a template configuration wizard page.

Discriminator: `type` selects the concrete type. Mapping: `Component` → `CustomComponentItemRepresentation`, `GroupBox` → `GroupBoxItemRepresentation`, `Image` → `ImageItemRepresentation`, `LinkBox` → `LinkBoxItemRepresentation`, `Text` → `TextItemRepresentation`, `Variable` → `VariableItemRepresentation`.

*   `type` (_PanelItemTypeEnum_, required)
*   `visibility` (_string_) The visibility expression for the item.

### StaticResourceReferenceRepresentation

The definition for a static resource reference.

*   `id` (_string (Id)_) The 18 character ID of the static resource.
*   `label` (_string_) The label of the static resource.
*   `name` (_string_) The developer name of the static resource.
*   `namespace` (_string_) The namespace of the static resource name.
*   `url` (_string (url)_) The URL of the static resource.

### PanelItemInputRepresentation

The base definition of a panel item for a template configuration wizard page.

Discriminator: `type` selects the concrete type. Mapping: `Component` → `CustomComponentItemInputRepresentation`, `GroupBox` → `GroupBoxItemInputRepresentation`, `Image` → `ImageItemInputRepresentation`, `LinkBox` → `LinkBoxItemInputRepresentation`, `Text` → `TextItemInputRepresentation`, `Variable` → `VariableItemInputRepresentation`.

*   `type` (_PanelItemTypeEnum_, required)
*   `visibility` (_string_) The visibility expression for the item.

### ConnectActionTypeEnum

The supported types of rule actions.

Type: `string`.

Allowed values: `Add`, `Delete`, `Eval`, `Put`, `Replace`, `Set`.

### DominoGraphableRepresentation

The definition for a graphable node.

*   `referenceId` (_string_) The reference ID of this node.
*   `sources` (_array of string_) The list of source reference IDs that this graph node depends on. This list may be empty or null when a node is requested individually.

### DominoGraphNodeTypeRepresentation

The definition for a graph node type, per variant, in a chain.

*   `label` (_string_) The label of the graph node type.
*   `name` (_string_) The API name of the graph node type, per variant.
*   `phases` (_array of string_) The list of supported phases by the graph node type.

### ConnectRuntimeRunAsEnum

The user to run task as.

Type: `string`.

Allowed values: `CurrentUser`.

### DominoGraphableInputRepresentation

The definition for a graphable node.

*   `referenceId` (_string_) The reference ID of the graph node.
*   `sources` (_array of string_) The list of source reference IDs that this graph node depends on.

### DominoGraphNodeTypeInputRepresentation

The definition for a graph node type.

*   `label` (_string_) The label of the graph node type. This value is ignored.
*   `name` (_string_) The API name of the variant graph node type.
*   `phases` (_array of string_) This attribute is for internal use only, values will be ignored.

### DominoRuntimeTaskResultRepresentation

The definition for a runtime task result.

*   `durationInSeconds` (_number (int64)_) The duration in seconds for the runtime task.
*   `endDateTime` (_string (date-time)_) The date and time the runtime request completed.
*   `id` (_string_) The ID of the runtime task result.
*   `phase` (_string_) The phase of the runtime request.
*   `startDateTime` (_string (date-time)_) The date /time the runtime request was started.
*   `statusMessage` (_string_) The message related to the returned status.
*   `taskStatus` (_ConnectRuntimeTaskStatusEnum_)

### ConnectRuntimeTaskStatusEnum

The status of runtime task nodes in a runtime request.

Type: `string`.

Allowed values: `AbortedStatus`, `CancelledBySystemStatus`, `CancelledByUserStatus`, `CompleteStatus`, `EnqueuedStatus`, `FailEndOfPhaseStatus`, `FailTerminalStatus`, `InProgressPollAtIntervalStatus`, `InProgressSelfReportStatus`, `InProgressWithObservationStatus`, `NewStatus`, `SkippedStatus`, `WarnAndContinueStatus`.

### ScheduledTimezoneRepresentation

The definition for a time zone.

*   `gmtOffset` (_number (double)_) The signed offset, in hours, from GMT.
*   `name` (_string_) The display name of this time zone.
*   `zoneId` (_string_) The zone ID of this time zone.

### ScheduledTimezoneInputRepresentation

The definition for a scheduled timezone.

*   `zoneId` (_string_) The valid timezone id for this scheduled timezone.

### PanelItemTypeEnum

The item types for a panel on a template configuration flow page.

Type: `string`.

Allowed values: `Component`, `GroupBox`, `Image`, `LinkBox`, `Text`, `Variable`.

### VariableItemInputRepresentation

The definition of a variable item type in the template configuration wizard.

Includes all fields of `PanelItemInputRepresentation`.

*   `description` (_string_) The description of the variable.
*   `label` (_string_) The label of the variable.
*   `name` (_string_) The name of the variable. This must match the name of a defined variable.
*   `tiles` (_object_) A collection of tiles for the checkbox values.
    
    Additional properties: `VariableItemTileInputRepresentation`.
    
*   `type` (_PanelItemTypeEnum_)
*   `variant` (_string_) The variant of the variable. The valid values are CheckboxTiles and CenteredCheckboxTiles, SubHeader.

### ValidationPageGroupRepresentation

The definition for a readiness requirement group on a validation page in the template configuration wizard.

*   `includeUnmatched` (_boolean_) Indicates whether the group should include any requirements that are otherwise unmatched by other groups.
*   `tags` (_array of string_) The tags for readiness requirements that will be included in this group.
*   `text` (_string_) The display text for the group.

### ValidationPageLayoutRepresentation

The definition for a validation page in the template configuration wizard.

Includes all fields of `PageLayoutRepresentation`.

*   `groups` (_array of ValidationPageGroupRepresentation_) A list of validation groups for the page.
*   `header` (_HeaderRepresentation_)

### NumberTypeRepresentation

The definition for numeric variable types in templates.

Includes all fields of `VariableTypeRepresentation`.

*   `enums` (_array of number (double)_) The restricted list of enumerated values, where applicable for numeric variable types.
*   `enumsLabels` (_array of string_) The display labels for the enumerated values.
*   `format` (_NumberTypeFormatEnum_)
*   `max` (_number (double)_) The maximum allowed value for the number.
*   `min` (_number (double)_) The minimum allowed value for the number.
*   `scale` (_integer_) The maximum scale for the number, digits after the decimal point.

### ValidationPageGroupInputRepresentation

The definition for a readiness requirement group on a validation page in the template configuration wizard.

*   `includeUnmatched` (_boolean_) Indicates whether the group should include any requirements that are otherwise unmatched by other groups.
*   `tags` (_array of string_) A list of readiness requirements tags for the group.
*   `text` (_string_) The display text for the group.

### HeaderInputRepresentation

The description for the header on a template configuration wizard page.

*   `description` (_string_) The description for the header.
*   `text` (_string_) The title for the header.

### BooleanTypeRepresentation

The definition for boolean variable types in templates.

Includes all fields of `VariableTypeRepresentation`.

*   `enums` (_array of boolean_) A restricted list of enumerated values, where applicable for boolean variable types.

### ArrayTypeRepresentation

The definition for array variable types in templates.

Includes all fields of `VariableTypeRepresentation`.

*   `enums` (_any_) The restricted list of enumerated values, where applicable for the inner variable types.
*   `itemsType` (_VariableTypeRepresentation_)
*   `sizeLimit` (_SizeLimitRepresentation_)

### BasicAppInputRepresentation

The definition to create an app from asset IDs not associated with a template.

Includes all fields of `BaseAppInputRepresentation`.

*   `assetIds` (_array of string_) A list of asset IDs to associate with the app.

### BaseObjectTypeInputRepresentation

The base definition for object variable types in templates.

Includes all fields of `VariableTypeInputRepresentation`.

*   `properties` (_object_) A collection of the defined properties and types for the object variable type. type.
    
    Additional properties: `VariableTypeInputRepresentation`.
    
*   `required` (_array of string_) A list of the required properties for the object variable type.
*   `strictValidation` (_boolean_) Indicates whether to use strict validation when unexpected properties exist in the object's payload or not.

### SemanticMetricTypeRepresentation

The definition for semantic metric variable types in templates.

Includes all fields of `BaseObjectTypeRepresentation`.

### TwoColumnLayoutRepresentation

The definition of a two column layout for a template configuration wizard page.

Includes all fields of `LayoutRepresentation`.

*   `left` (_PanelRepresentation_)
*   `right` (_PanelRepresentation_)

### VariableItemRepresentation

The definition of a variable item type in the template configuration wizard..

Includes all fields of `PanelItemRepresentation`.

*   `description` (_string_) The description of the variable
*   `label` (_string_) The label of the variable.
*   `name` (_string_) The name of the variable.
*   `tiles` (_object_) A collection of tiles for the checkbox values.
    
    Additional properties: `VariableItemTileRepresentation`.
    
*   `variant` (_string_) The variable variant. The valid values are CheckboxTiles and CenteredCheckboxTiles.

### StringTypeInputRepresentation

The definition for string variable types in templates.

Includes all fields of `VariableTypeInputRepresentation`.

*   `enums` (_array of string_) The restricted list of enumerated values, where applicable for string variable types.
*   `enumsLabels` (_array of string_) The display labels for the enumerated values.
*   `type` (_VariableTypeEnum_)

### SingleColumnLayoutRepresentation

The definition of a single column layout for a template configuration wizard page.

Includes all fields of `LayoutRepresentation`.

*   `center` (_PanelRepresentation_)

### LinkBoxItemInputRepresentation

The definition of a link box item type in the template configuration wizard.

Includes all fields of `PanelItemInputRepresentation`.

*   `icon` (_string_) The icon for the link.
*   `text` (_string_) The text for the link.
*   `title` (_string_) The title for the link.
*   `type` (_PanelItemTypeEnum_)
*   `url` (_string_) The URL for the link.

### DataLakeObjectFieldTypeInputRepresentation

The definition for data lake object field variable types in templates.

Includes all fields of `VariableTypeInputRepresentation`.

*   `dataType` (_string_) The data type for the data lake object field.
*   `type` (_VariableTypeEnum_)

### CalculatedInsightFieldTypeRepresentation

The definition for calculated insight field variable types in templates.

Includes all fields of `BaseObjectTypeRepresentation`.

*   `dataType` (_string_) The data type for calculated insights field. Valid values are 'string', 'number', 'date\_time', or 'date'.
*   `fieldType` (_string_) The type of the calculated insight field. Valid values are 'dimension' or 'measure'.

### CustomComponentLayoutVariableInputRepresentation

The definition for a custom component layout variable on a template configuration wizard page.

*   `name` (_string_) The name of the variable.
*   `visibility` (_string_) The visibility expression for the variable.

### DataModelObjectTypeInputRepresentation

The definition for data model object variable types in templates.

Includes all fields of `VariableTypeInputRepresentation`.

*   `dataSpace` (_string_) The data space for the data model object.
*   `type` (_VariableTypeEnum_)

### SObjectTypeRepresentation

The definition for sObject variable types in templates.

Includes all fields of `BaseObjectTypeRepresentation`.

### TextItemInputRepresentation

The definition of a text item type in the template configuration wizard.

Includes all fields of `PanelItemInputRepresentation`.

*   `text` (_string_) The text value for the item.
*   `type` (_PanelItemTypeEnum_)
*   `variant` (_string_) The text variant. The valid values are SubHeader and RichText.

### DateTimeTypeRepresentation

The definition for date/time variable types in templates.

Includes all fields of `VariableTypeRepresentation`.

### CalculatedInsightFieldTypeInputRepresentation

The definition for calculated field variable types in templates.

Includes all fields of `VariableTypeInputRepresentation`.

*   `dataType` (_string_) The data type for the calculated field.
*   `fieldType` (_string_) The field type for the calculated field.
*   `type` (_VariableTypeEnum_)

### CustomComponentItemVariableRepresentation

The definition for a custom component item variable on a template configuration wizard page.

*   `name` (_string_) The name of the variable.
*   `visibility` (_string_) The visibility expression for the variable.

### DataModelObjectFieldTypeInputRepresentation

The definition for data model object field variable types in templates.

Includes all fields of `VariableTypeInputRepresentation`.

*   `dataType` (_string_) The data type for the data model object field.
*   `type` (_VariableTypeEnum_)

### SemanticMetricTypeInputRepresentation

The definition for semantic metric variable types in templates.

Includes all fields of `VariableTypeInputRepresentation`.

*   `type` (_VariableTypeEnum_)

### CalculatedInsightTypeRepresentation

The definition for calculated insights variable types in templates.

Includes all fields of `BaseObjectTypeRepresentation`.

*   `dataSpace` (_string_) The data space for the calculated insight.

### PanelRepresentation

The definition for a panel on a template configuration wizard page.

*   `items` (_array of PanelItemRepresentation_) A list of items in the panel.

### SObjectFieldTypeRepresentation

The definition for sObject field variable types in templates.

Includes all fields of `BaseObjectTypeRepresentation`.

*   `dataType` (_string_) The data type of the field.

### DataLakeObjectFieldTypeRepresentation

The definition for data lake object field variable types in templates.

Includes all fields of `BaseObjectTypeRepresentation`.

*   `dataType` (_string_) The data type of the data lake object field. Valid values are 'string', 'number', 'date\_time', or 'date'.

### DataSpaceTypeRepresentation

The definition for data space variable types in templates..

Includes all fields of `BaseObjectTypeRepresentation`.

### DataSpaceTypeInputRepresentation

The definition for data space variable types in templates.

Includes all fields of `VariableTypeInputRepresentation`.

*   `type` (_VariableTypeEnum_)

### DataLakeObjectTypeRepresentation

The definition for data lake object variable types in templates.

Includes all fields of `BaseObjectTypeRepresentation`.

*   `dataSpace` (_string_) The data space for the data lake object.

### CustomComponentItemRepresentation

The definition for a custom component item on a template configuration wizard page.

Includes all fields of `PanelItemRepresentation`.

*   `module` (_string_) The name of the LWC module.
*   `properties` (_object_) The additional properties to pass to the LWC.
    
    Additional properties: `object`.
    
*   `variables` (_array of CustomComponentItemVariableRepresentation_) The variables to be used by the LWC.

### BaseObjectTypeRepresentation

The base definition for object variable types in templates.

Includes all fields of `VariableTypeRepresentation`.

*   `properties` (_object_) A collection of the defined properties and types for the object variable type. type.
    
    Additional properties: `VariableTypeRepresentation`.
    
*   `required` (_array of string_) A list of the required properties for the object variable type.
*   `strictValidation` (_boolean_) Indicates whether to use strict validation when unexpected properties exist in the object's payload.

### VariableItemTileInputRepresentation

The definition of checkbox tile details for a template configuration wizard variable item.

*   `badge` (_string_) The badge text for the tile.
*   `bodyDescription` (_string_) The body description of the tile.
*   `bodyTitle` (_string_) The body title of the tile.
*   `description` (_string_) The description of the tile.
*   `iconName` (_string_) The SLDSicon name for the tile.
*   `iconSize` (_string_) The icon size for the tile. Valid values are 'xx-small', 'x-small', 'small', 'medium', or 'large' (default).
*   `image` (_VariableItemTileImageInputRepresentation_)
*   `label` (_string_) The label for the tile.
*   `size` (_string_) The size of the tile. Valid values are 'large' (default), 'medium', or 'small'.
*   `visibility` (_string_) The visibility expression for the tile.

### NamespacedReferenceRepresentation

The definition for a namespaced reference.

*   `name` (_string_) The name of the reference.
*   `namespace` (_string_) The namespace of the reference.

### TextItemRepresentation

The definition of a text item type in the template configuration wizard.

Includes all fields of `PanelItemRepresentation`.

*   `text` (_string_) The text for the item.
*   `variant` (_string_) The text variant. The valid values are SubHeader and RichText.

### HeaderRepresentation

The definition for the header on a template configuration wizard page.

*   `description` (_string_) The description of the header.
*   `text` (_string_) The title for the header.

### ObjectTypeRepresentation

The definition for object variable types in templates.

Includes all fields of `BaseObjectTypeRepresentation`.

### LayoutTypeEnum

The layout type for a template configuration page.

Type: `string`.

Allowed values: `Component`, `SingleColumn`, `TwoColumn`.

### ConfigurationPageLayoutInputRepresentation

The definition for a configuration page in the template configuration wizard.

Includes all fields of `PageLayoutInputRepresentation`.

*   `layout` (_LayoutInputRepresentation_)
*   `type` (_PageTypeEnum_)

### ImageItemInputRepresentation

The description for an image panel item on a template configuration wizard page.

Includes all fields of `PanelItemInputRepresentation`.

*   `image` (_ImageReferenceInputRepresentation_)
*   `type` (_PanelItemTypeEnum_)

### SingleColumnLayoutInputRepresentation

The definition of a single column layout for a template configuration wizard page.

Includes all fields of `LayoutInputRepresentation`.

*   `center` (_PanelInputRepresentation_)
*   `type` (_LayoutTypeEnum_)

### ObjectTypeInputRepresentation

The definition for object variable types in templates.

Includes all fields of `BaseObjectTypeInputRepresentation`.

*   `type` (_VariableTypeEnum_)

### VariableItemTileRepresentation

The definition of tile details for a template configuration wizard variable item.

*   `badge` (_string_) The badge text for the tile.
*   `bodyDescription` (_string_) The body description of the tile.
*   `bodyTitle` (_string_) The body title of the tile.
*   `description` (_string_) The description of the tile. This overrides the description defined in the variable definition.
*   `iconName` (_string_) The name of the SLDS icon for the tile.
*   `iconSize` (_string_) The size of the icon. One of 'xx-small', 'x-small', 'small', 'medium', or 'large' (default).
*   `image` (_VariableItemTileImageRepresentation_)
*   `label` (_string_) The label of the tile. This overrides the label defined in the variable definition.
*   `size` (_string_) The size of the tile. One of 'large' (default), 'medium', or 'small'.
*   `visibility` (_string_) The visibility expression for the tile.

### DataModelObjectFieldTypeRepresentation

The definition for data model object field variable types in templates.

Includes all fields of `BaseObjectTypeRepresentation`.

*   `dataType` (_string_) The date type of the data model object field. Valid values are 'string', 'number', 'date\_time', or 'date'.

### SizeLimitInputRepresentation

The definition of the size limit for an array type variable in templates.

*   `max` (_integer_) The maximum number of elements in the array.
*   `min` (_integer_) The minimum number of elements in the array.

### CustomComponentLayoutInputRepresentation

The definition of a custom component layout on a template configuration wizard page.

Includes all fields of `LayoutInputRepresentation`.

*   `module` (_string_) The name of the LWC module.
*   `properties` (_object_) The additional properties to pass to the LWC.
    
    Additional properties: `object`.
    
*   `type` (_LayoutTypeEnum_)
*   `variables` (_array of CustomComponentLayoutVariableInputRepresentation_) A list of variables to use for the LWC.

### SemanticModelTypeRepresentation

The definition for semantic model variable types in templates.

Includes all fields of `BaseObjectTypeRepresentation`.

*   `dataSpace` (_string_) The data space for the semantic model.

### CustomComponentLayoutRepresentation

Representation for a custom component layout definition for template wizard pages.

Includes all fields of `LayoutRepresentation`.

*   `module` (_string_) The name of the LWC module.
*   `properties` (_object_) The additional properties to pass to the LWC.
    
    Additional properties: `object`.
    
*   `variables` (_array of CustomComponentLayoutVariableRepresentation_) A list of variables to use for the LWC.

### AppInputRepresentation

The definition for creating a templated app.

Includes all fields of `BaseAppInputRepresentation`.

*   `appAssetVersion` (_number (double)_) The asset version for the template used to create this app.
*   `logLevel` (_ConnectRuntimeLogEntryLevel_)
*   `runtimeMethod` (_ConnectRuntimeMethodTypeEnum_)
*   `templateSourceId` (_string_) The ID of the template used to create this app.
*   `templateSubtype` (_TemplateSubtypeEnum_)
*   `templateType` (_TemplateTypeEnum_)
*   `templateValues` (_object_) The runtime template values used during application creation, as specified by the template.
    
    Additional properties: `object`.
    
*   `templateVersion` (_string_) The version of the template used to create this app.

### ArrayTypeInputRepresentation

The definition for array variable types in templates.

Includes all fields of `VariableTypeInputRepresentation`.

*   `enums` (_any_) The restricted list of enumerated values, where applicable for the inner variable types.
*   `itemsType` (_VariableTypeInputRepresentation_)
*   `sizeLimit` (_SizeLimitInputRepresentation_)
*   `type` (_VariableTypeEnum_)

### SemanticModelTypeInputRepresentation

The definition for semantic model variable types in templates.

Includes all fields of `VariableTypeInputRepresentation`.

*   `dataSpace` (_string_) The data space for the semantic model.
*   `type` (_VariableTypeEnum_)

### AppActivityItemInputRepresentation

The definition for an app activity item.

*   `activityType` (_ActivityTypeEnum_)
*   `appId` (_string_) The ID of the app.
*   `dominoRuntimeRequestId` (_string_) The ID of the associated runtime request.
*   `id` (_string_) The ID of the app activity item.

### SObjectTypeInputRepresentation

The definition for sObject variable types in templates.

Includes all fields of `VariableTypeInputRepresentation`.

*   `type` (_VariableTypeEnum_)

### CalculatedInsightTypeInputRepresentation

The definition for calculated insight variable types in templates.

Includes all fields of `VariableTypeInputRepresentation`.

*   `dataSpace` (_string_) The data space for the calculated insight.
*   `type` (_VariableTypeEnum_)

### NamespacedReferenceInputRepresentation

he definition for a namespaced reference.

*   `name` (_string_) The developer name.
*   `namespace` (_string_) The developer namespace.

### GroupBoxItemInputRepresentation

The definition for a group box item on a template configuration wizard page.

Includes all fields of `PanelItemInputRepresentation`.

*   `description` (_string_) The description of the group box.
*   `items` (_array of PanelItemInputRepresentation_) A list of items to include in the group.
*   `text` (_string_) The text for the group box title.
*   `type` (_PanelItemTypeEnum_)

### GroupBoxItemRepresentation

The definition for a group box item on a template configuration wizard page.

Includes all fields of `PanelItemRepresentation`.

*   `description` (_string_) The description of the group box.
*   `items` (_array of PanelItemRepresentation_) A list of items to include in the group.
*   `text` (_string_) The text for the group box title.

### NumberTypeInputRepresentation

[...]
